aboutsummaryrefslogtreecommitdiffstats
path: root/testing/libdwarf/APKBUILD
diff options
context:
space:
mode:
authorDavid Huffman <storedbox@outlook.com>2016-01-16 06:37:35 -0500
committerTimo Teräs <timo.teras@iki.fi>2016-01-19 09:34:59 +0000
commit5adec6f71ea2faf774a4b95816a62aaa70cf4539 (patch)
tree51603421c7336d13e66f95bc1b7c12fe1863cc80 /testing/libdwarf/APKBUILD
parent085cc7e248d768869c04007d732dcce2a07e1363 (diff)
downloadaports-5adec6f71ea2faf774a4b95816a62aaa70cf4539.tar.gz
aports-5adec6f71ea2faf774a4b95816a62aaa70cf4539.tar.bz2
aports-5adec6f71ea2faf774a4b95816a62aaa70cf4539.tar.xz
testing/libdwarf: update to 20160115
Diffstat (limited to 'testing/libdwarf/APKBUILD')
-rw-r--r--testing/libdwarf/APKBUILD28
1 files changed, 20 insertions, 8 deletions
diff --git a/testing/libdwarf/APKBUILD b/testing/libdwarf/APKBUILD
index bfa9eac225..5be5bafcec 100644
--- a/testing/libdwarf/APKBUILD
+++ b/testing/libdwarf/APKBUILD
@@ -1,19 +1,30 @@
# Contributor: David Huffman <storedbox@outlook.com>
# Maintainer: David Huffman <storedbox@outlook.com>
pkgname=libdwarf
-pkgver=20150507
+pkgver=20160115
pkgrel=0
pkgdesc="Parsing library for DWARF2 and later debugging file format"
-url="http://libdwarf.sourceforge.net"
+url="http://www.prevanders.net/dwarf.html"
arch="all"
license="LGPL2+"
depends="libelf"
-depends_dev="libelf-dev"
+depends_dev="$pkgname libelf-dev"
makedepends="$depends_dev"
+install=""
subpackages="$pkgname-dev dwarf-tools dwarf-tools-doc"
-source="https://github.com/Distrotech/libdwarf/archive/$pkgver/$pkgname-$pkgver.tar.gz"
+source="http://www.prevanders.net/$pkgname-$pkgver.tar.gz"
+
+_builddir="$srcdir/dwarf-$pkgver"
+prepare() {
+ local i
+ cd "$_builddir"
+ for i in $source; do
+ case $i in
+ *.patch) msg $i; patch -p1 -i "$srcdir"/$i || return 1;;
+ esac
+ done
+}
-_builddir="$srcdir/$pkgname-$pkgver"
build() {
cd "$_builddir"
./configure --prefix=/usr --enable-shared || return 1
@@ -35,6 +46,7 @@ package() {
cd "$_builddir/dwarfdump"
cp dwarfdump "$bindir"
cp COPYING "$docdir/dwarfdump.COPYING"
+ cp DWARFDUMPCOPYRIGHT GPL.txt "$docdir"
cp dwarfdump.conf "$libdir"
cp dwarfdump.1 "$man1dir"
@@ -56,6 +68,6 @@ tools() {
mv "$pkgdir/$lib/dwarfdump.conf" "$subpkgdir/$lib"
}
-md5sums="7b80e1c717850de6ca003d1e909b588c libdwarf-20150507.tar.gz"
-sha256sums="57fecc3d2024ba41d6b0dc428741d47f7f4834e27345fb66a31aeb54da124803 libdwarf-20150507.tar.gz"
-sha512sums="4619be006bd5b7d8ac8ce43544fb1b8b38461eee9dac21dc00e20476ca2f2a9266e70c94adcab06159d58dbc9cd88e17b19947010662165646b862af1b045e43 libdwarf-20150507.tar.gz"
+md5sums="6d51b55210ebb349d23dde89cfd41089 libdwarf-20160115.tar.gz"
+sha256sums="e8daf303181953751f0a4761b6b05a238e802635e08d7fc837e446e26b212f33 libdwarf-20160115.tar.gz"
+sha512sums="594519460d3cd3f60f7e97931ce3e3d775393e03068a2c932d72ba95d8cdb2c53b622671c5af8a798712937b62dbf9594e2da8945553a0021a275cf677f4d90a libdwarf-20160115.tar.gz"